<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.tm.AuditMessages']}"/>
    <ui:define name="body">
        <h:form id="globalform" styleClass="form-horizontal">
            <s:token allowMultiplePosts="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{auditMessageManager.filter.urlParameters}"/>
            <script>
                updateUrl("globalform:filterUrlParameters");
                $("#globalform\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalform:filterUrlParameters");
                        });
            </script>
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{auditMessageManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="event"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.tm.Event']}"/>
                            <ui:param name="filterForm" value="globalform "/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{auditMessageManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="actor"/>
                            <ui:param name="filterName"
                                      value="#{messages['gazelle.testmanagement.system.label.Actor']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{auditMessageManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="transaction"/>
                            <ui:param name="filterName" value="#{messages['gazelle.tf.Transaction']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{auditMessageManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="docSection"/>
                            <ui:param name="filterName"
                                      value="#{messages['net.ihe.gazelle.tm.DocumentSection_2']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{auditMessageManager.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="oid"/>
                            <ui:param name="filterName" value="#{messages['gazelle.tf.OID']}"/>
                            <ui:param name="filterForm" value="globalform"/>
                        </ui:include>
                    </div>
                </div>
                <ui:define name="filter_buttons">
                    <a4j:commandLink actionListener="#{auditMessageManager.filter.clear()}"
                                     title="#{messages['gazelle.users.reset']}" type="submit"
                                     execute="@this" render="globalform">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>
            <h:outputLink value="new.seam" styleClass="gzl-btn-green"
                          rendered="#{( s:hasRole('admin_role') || s:hasRole('tests_editor_role')) and applicationManager.isMasterModel()}">
                <h:outputText value="#{messages['net.ihe.gazelle.tm.NewAuditMessage']}"/>
            </h:outputLink>
            <h:commandLink title="#{messages['net.ihe.gazelle.tm.DownloadFilteredAuditMessagesAsXmlFile']}"
                           ignoreDupResponses="true"
                           action="#{auditMessageManager.exportAuditMessagesAsXml()}"
                           rendered="#{s:hasRole('admin_role')}"
                           value ="#{messages['net.ihe.gazelle.tm.ExportFilteredAuditMessages']}"
                           styleClass="gzl-btn-blue pull-right"
                           execute="@this"/>

            <rich:dataTable id="DocumentTable" var="currentAuditMessage" value="#{auditMessageManager.auditMessages}"
                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                            rendered="#{not empty auditMessageManager.auditMessages}" render="ds">
                <g:column sortBy="#{'auditedEvent'}">
                    <ui:define name="header">
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.AuditedEvent']}"/>
                    </ui:define>
                    <h:outputText value="#{currentAuditMessage.auditedEvent.getKeyword()}"/>
                    <h:outputText value=" (#{currentAuditMessage.eventCodeType})"
                                  rendered="#{not empty currentAuditMessage.eventCodeType}"/>
                </g:column>
                <g:column sortBy="#{'issuingActor.keyword'}">
                    <ui:define name="header">
                        <h:outputText value="#{messages['gazelle.testmanagement.system.label.Actor']}"/>
                    </ui:define>
                    <h:commandLink
                            value="#{currentAuditMessage.issuingActor.keyword} - #{currentAuditMessage.issuingActor.name}"
                            action="#{actorManager.editActor(currentAuditMessage.issuingActor, false)}"/>
                </g:column>
                <g:column sortBy="#{'auditedTransaction.keyword'}">
                    <ui:define name="header">
                        <h:outputText value="#{messages['gazelle.tf.Transaction']}"/>
                    </ui:define>
                    <h:commandLink
                            value="#{currentAuditMessage.auditedTransaction.keyword} - #{currentAuditMessage.auditedTransaction.name}"
                            action="#{transactionManager.editTransaction(currentAuditMessage.auditedTransaction, false)}"/>
                </g:column>
                <g:column sortBy="#{'documentSection.section'}">
                    <ui:define name="header">
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.DocumentSection_2']}"/>
                    </ui:define>
                    <ui:include src="/tf/documents/_documentSection.xhtml">
                        <ui:param name="documentSectionParam" value="#{currentAuditMessage.documentSection}"/>
                        <ui:param name="displayedName"
                                  value="#{currentAuditMessage.documentSection.section}"/>
                    </ui:include>
                </g:column>
                <g:column sortBy="#{'oid'}">
                    <ui:define name="header">
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.Specification']}"/>
                    </ui:define>
                    <h:outputLink value="#{auditMessageManager.getAuditMessageSpecUrl(currentAuditMessage)}"
                                  rendered="#{not empty currentAuditMessage.oid}">
                        <h:outputText value="#{currentAuditMessage.oid}"/>
                    </h:outputLink>
                </g:column>
                <g:column align="center">
                    <ui:define name="header">#{messages['gazelle.common.Action']}</ui:define>
                    <div class="gzl-never-wrap">
                        <h:outputLink title="#{messages['net.ihe.gazelle.tm.Show']}" value="show.seam">
                            <f:param name="id" value="#{currentAuditMessage.id}"/>
                            <span class="gzl-icon-search"/>
                        </h:outputLink>
                        <h:outputLink title="#{messages['gazelle.tm.Edit']}" value="edit.seam"
                                      rendered="#{( s:hasRole('admin_role') || s:hasRole('tests_editor_role')) and applicationManager.isMasterModel()}">
                            <f:param name="id" value="#{currentAuditMessage.id}"/>
                            <span class="gzl-icon-pencil"/>
                        </h:outputLink>
                        <a4j:commandLink event="click" title="#{messages['gazelle.common.button.Delete']}"
                                         rendered="#{( s:hasRole('admin_role') || s:hasRole('tests_editor_role')) and applicationManager.isMasterModel()}"
                                         oncomplete="jq162('#DeleteConfirmationModalPanel').modal('show');"
                                         render="DeleteConfirmationModalPanel, :deleteForm" execute="@this"
                                         actionListener="#{auditMessageManager.setCurrentAuditMessage(currentAuditMessage)}">
                            <span class="gzl-icon-trash-o"/>
                        </a4j:commandLink>
                    </div>
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="DocumentTable"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>

            <s:div id ="importDiv" rendered="#{(s:hasRole('admin_role'))}">
                <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

                    <ui:param name="panel_id" value="importPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.ImportAuditMessages']}"/>
                    </ui:define>

                    <s:div id="uploadFile" rendered="#{auditMessageManager.auditMessagesToImport == null}">
                        <s:div rendered="#{auditMessageManager.getUploadedFileContent() == null}">
                            <h:outputText id="fileUploadInfo"
                                          value="#{messages['net.ihe.gazelle.tm.PleaseUploadTheXMLFileContainingAuditMessagesToI']}"/>
                            <ul>
                                <li>
                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.ActorTransactionsDetectionIsBasedOnKeywordsIfOne']}"/>
                                </li>
                                <li>
                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.IfADocumentSectionDoesNotExistOnThisInstanceTheA']}"/>
                                </li>
                            </ul>
                            <rich:fileUpload
                                    fileUploadListener="#{auditMessageManager.uploadListener}"
                                    maxFilesQuantity="1"
                                    listHeight="60px"
                                    immediateUpload="true">
                                <a4j:ajax event="uploadcomplete" render="uploadFile, footer"/>
                            </rich:fileUpload>
                        </s:div>

                        <s:div id="fileNameInfo" rendered="#{auditMessageManager.getUploadedFileContent() != null}" styleClass="form-horizontal">

                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">
                                    <h:outputText  value="#{messages['net.ihe.gazelle.tm.AuditMessagesFile']}"/>
                                </ui:define>
                                <h:outputText value="#{auditMessageManager.getDescription()}"  />
                            </s:decorate>

                        </s:div>

                        <s:div id="reviewDiv">
                            <s:decorate template="/layout/form/_checkbox.xhtml">
                                <ui:param name="id" value="cbAutoImport"/>
                                <ui:define name="label">
                                    <h:outputText  value="#{messages['net.ihe.gazelle.tm.ReviewChangesBeforeSaving']}"/>
                                </ui:define>
                                <h:selectBooleanCheckbox id="cbAutoImport" value="#{auditMessageManager.reviewBeforeSaving}">
                                    <a4j:ajax event="change" render="reviewDiv"/>
                                </h:selectBooleanCheckbox>
                            </s:decorate>

                            <s:div rendered="#{not auditMessageManager.reviewBeforeSaving}">
                                <br/>
                                <s:span styleClass="gzl-icon-exclamation-triangle"/>
                                <h:outputText id="cbAutoImport"
                                              class="gzl-text-orange"
                                              value="#{messages['net.ihe.gazelle.tm.TheImportedAuditMessagesWillBePersistedInDatabas']}"/>
                            </s:div>
                        </s:div>

                    </s:div>

                    <s:div id="reportDiv" rendered="#{auditMessageManager.auditMessagesToImport != null}" >
                        <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">

                            <ui:param name="panel_id" value="reportPanel"/>
                            <ui:define name="panel_title">
                                <h:outputText value="#{messages['net.ihe.gazelle.tm.ReportOnAuditMessagesImport']}"/>
                            </ui:define>

                            <s:div id="reportBody" rendered="#{auditMessageManager.auditMessagesToImport != null}" >
                                <div class="panel-body bg-primary">
                                    <s:div rendered="#{auditMessageManager.auditMessagesToImport.ignoredAuditMessages != null}">
                                        <h:outputText value="#{auditMessageManager.auditMessagesToImport.ignoredAuditMessages.size} #{messages['net.ihe.gazelle.tm.AuditMessagesWillBeIgnoredBecauseTheyAreMissingT']}" style="font-weight:bold"/>
                                        <br/>
                                        <s:div rendered="#{not auditMessageManager.auditMessagesToImport.ignoredAuditMessages.isEmpty()}">
                                            <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfAuditMessagesThatHaveBeenIgnored']} "/>

                                            <rich:dataTable id="ignoredTable" var="currentAuditMessage" value="#{auditMessageManager.auditMessagesToImport.ignoredAuditMessages}"
                                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dsIgnored">
                                                <g:column sortBy="#{'auditedEvent'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.AuditedEvent']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentAuditMessage.auditedEvent.getKeyword()}"/>
                                                    <h:outputText value=" (#{currentAuditMessage.eventCodeType})"
                                                                  rendered="#{not empty currentAuditMessage.eventCodeType}"/>
                                                </g:column>
                                                <g:column sortBy="#{'issuingActor.keyword'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['gazelle.testmanagement.system.label.Actor']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentAuditMessage.issuingActor.keyword} - #{currentAuditMessage.issuingActor.name}"/>
                                                </g:column>
                                                <g:column sortBy="#{'auditedTransaction.keyword'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['gazelle.tf.Transaction']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentAuditMessage.auditedTransaction.keyword} - #{currentAuditMessage.auditedTransaction.name}"/>
                                                </g:column>
                                                <g:column sortBy="#{'documentSection.section'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.DocumentSection_2']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentAuditMessage.documentSection.section}"/>
                                                </g:column>
                                                <g:column sortBy="#{'oid'}">
                                                    <ui:define name="header">
                                                        <h:outputText value="#{messages['net.ihe.gazelle.tm.Specification']}"/>
                                                    </ui:define>
                                                    <h:outputText value="#{currentAuditMessage.oid}"/>
                                                </g:column>

                                                <f:facet name="footer">
                                                    <ui:include src="/util/datatableFooter.xhtml">
                                                        <ui:param name="dataScrollerId" value="dsIgnored"/>
                                                        <ui:param name="dataTableId" value="ignoredTable"/>
                                                    </ui:include>
                                                </f:facet>
                                            </rich:dataTable>

                                        </s:div>
                                    </s:div>

                                    <s:div styleClass="col-md-4" rendered="#{auditMessageManager.auditMessagesToImport.unknownActors != null}">
                                        <h:outputText value="#{auditMessageManager.auditMessagesToImport.unknownActors.size} #{messages['net.ihe.gazelle.tm.ActorsHaveBeenFoundMissingInThisInstance']}" style="font-weight:bold"/>
                                        <br/>
                                        <s:div rendered="#{not auditMessageManager.auditMessagesToImport.unknownActors.isEmpty()}">
                                            <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfActorsThatHaveBeenFoundMissing']} "/>
                                            <ul>
                                                <ui:repeat value="#{auditMessageManager.auditMessagesToImport.unknownActors}" var="actor">
                                                    <li>
                                                        <h:outputText value="#{actor}"/>
                                                    </li>
                                                </ui:repeat>
                                            </ul>
                                        </s:div>
                                    </s:div>

                                    <s:div styleClass="col-md-4" rendered="#{auditMessageManager.auditMessagesToImport.unknownTransactions != null}">
                                        <h:outputText value="#{auditMessageManager.auditMessagesToImport.unknownTransactions.size} #{messages['net.ihe.gazelle.tm.TransactionsHaveBeenFoundMissingInThisInstance']}" style="font-weight:bold"/>
                                        <br/>
                                        <s:div rendered="#{not auditMessageManager.auditMessagesToImport.unknownTransactions.isEmpty()}">
                                            <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfTransactionsThatHaveBeenFoundMiss']} "/>
                                            <ul>
                                                <ui:repeat value="#{auditMessageManager.auditMessagesToImport.unknownTransactions}" var="transaction">
                                                    <li>
                                                        <h:outputText value="#{transaction}"/>
                                                    </li>
                                                </ui:repeat>
                                            </ul>
                                        </s:div>
                                    </s:div>

                                    <s:div styleClass="col-md-4" rendered="#{auditMessageManager.auditMessagesToImport.unknownSections != null}">
                                        <h:outputText value="#{auditMessageManager.auditMessagesToImport.unknownSections.size} #{messages['net.ihe.gazelle.tm.SectionsHaveBeenFoundMissingInThisInstance']}" style="font-weight:bold"/>
                                        <br/>
                                        <s:div rendered="#{not auditMessageManager.auditMessagesToImport.unknownSections.isEmpty()}">
                                            <h:outputText value="#{messages['net.ihe.gazelle.tm.HereIsTheListOfSectionsThatHaveBeenFoundMissing']} "/>
                                            <ul>
                                                <ui:repeat value="#{auditMessageManager.auditMessagesToImport.unknownSections}" var="section">
                                                    <li>
                                                        <h:outputText value="#{section}"/>
                                                    </li>
                                                </ui:repeat>
                                            </ul>
                                        </s:div>
                                    </s:div>
                                </div>
                                <br/>
                                <s:div rendered="#{auditMessageManager.auditMessagesToImport.auditMessages != null and auditMessageManager.reviewBeforeSaving and not auditMessageManager.auditMessagesToImport.isImported()}">
                                    <h:outputText value="#{auditMessageManager.auditMessagesToImport.auditMessages.size} #{messages['net.ihe.gazelle.tm.AuditMessagesWillBeImportedIntoYourDatabase']}" style="font-weight:bold"/>
                                </s:div>
                                <s:div rendered="#{auditMessageManager.auditMessagesToImport.auditMessages != null and (not auditMessageManager.reviewBeforeSaving or auditMessageManager.auditMessagesToImport.isImported())}">
                                    <h:outputText value="#{auditMessageManager.auditMessagesToImport.auditMessages.size} #{messages['net.ihe.gazelle.tm.AuditMessagesHaveBeenImportedIntoYourDatabase']}" style="font-weight:bold"/>
                                </s:div>

                                <s:div rendered="#{not (auditMessageManager.auditMessagesToImport.auditMessages == null) and not auditMessageManager.auditMessagesToImport.auditMessages.isEmpty()}">
                                    <div class="panel-body">

                                        <rich:dataTable id="importedTable" var="currentAuditMessage" value="#{auditMessageManager.auditMessagesToImport.auditMessages}"
                                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dsImported">
                                            <g:column sortBy="#{'auditedEvent'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.AuditedEvent']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.auditedEvent.getKeyword()}"/>
                                                <h:outputText value=" (#{currentAuditMessage.eventCodeType})"
                                                              rendered="#{not empty currentAuditMessage.eventCodeType}"/>
                                            </g:column>
                                            <g:column sortBy="#{'issuingActor.keyword'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.testmanagement.system.label.Actor']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.issuingActor.keyword} - #{currentAuditMessage.issuingActor.name}"/>
                                            </g:column>
                                            <g:column sortBy="#{'auditedTransaction.keyword'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.tf.Transaction']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.auditedTransaction.keyword} - #{currentAuditMessage.auditedTransaction.name}"/>
                                            </g:column>
                                            <g:column sortBy="#{'documentSection.section'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.DocumentSection_2']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.documentSection.section}"/>
                                            </g:column>
                                            <g:column sortBy="#{'oid'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Specification']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.oid}"/>
                                            </g:column>

                                            <f:facet name="footer">
                                                <ui:include src="/util/datatableFooter.xhtml">
                                                    <ui:param name="dataScrollerId" value="dsImported"/>
                                                    <ui:param name="dataTableId" value="importedTable"/>
                                                </ui:include>
                                            </f:facet>
                                        </rich:dataTable>

                                    </div>
                                </s:div>

                                <s:div rendered="#{auditMessageManager.auditMessagesToImport.duplicatedAuditMessages != null and auditMessageManager.reviewBeforeSaving and not auditMessageManager.auditMessagesToImport.isImported()}">
                                    <h:outputText value="#{auditMessageManager.auditMessagesToImport.duplicatedAuditMessages.size} #{messages['net.ihe.gazelle.tm.AuditMessagesAreAlreadyPresentInYourDatabaseAndW']}" style="font-weight:bold"/>
                                </s:div>
                                <s:div rendered="#{auditMessageManager.auditMessagesToImport.duplicatedAuditMessages != null and (not auditMessageManager.reviewBeforeSaving or auditMessageManager.auditMessagesToImport.isImported())}">
                                    <h:outputText value="#{auditMessageManager.auditMessagesToImport.duplicatedAuditMessages.size} #{messages['net.ihe.gazelle.tm.AuditMessagesHaveNotBeenImportedIntoYourDatabase']}" style="font-weight:bold"/>
                                </s:div>

                                <s:div rendered="#{not (auditMessageManager.auditMessagesToImport.duplicatedAuditMessages == null) and not auditMessageManager.auditMessagesToImport.duplicatedAuditMessages.isEmpty()}">
                                    <div class="panel-body">

                                        <rich:dataTable id="duplicatedTable" var="currentAuditMessage" value="#{auditMessageManager.auditMessagesToImport.duplicatedAuditMessages}"
                                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="dsDuplicated">
                                            <g:column sortBy="#{'auditedEvent'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.AuditedEvent']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.auditedEvent.getKeyword()}"/>
                                                <h:outputText value=" (#{currentAuditMessage.eventCodeType})"
                                                              rendered="#{not empty currentAuditMessage.eventCodeType}"/>
                                            </g:column>
                                            <g:column sortBy="#{'issuingActor.keyword'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.testmanagement.system.label.Actor']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.issuingActor.keyword} - #{currentAuditMessage.issuingActor.name}"/>
                                            </g:column>
                                            <g:column sortBy="#{'auditedTransaction.keyword'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['gazelle.tf.Transaction']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.auditedTransaction.keyword} - #{currentAuditMessage.auditedTransaction.name}"/>
                                            </g:column>
                                            <g:column sortBy="#{'documentSection.section'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.DocumentSection_2']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.documentSection.section}"/>
                                            </g:column>
                                            <g:column sortBy="#{'oid'}">
                                                <ui:define name="header">
                                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.Specification']}"/>
                                                </ui:define>
                                                <h:outputText value="#{currentAuditMessage.oid}"/>
                                            </g:column>

                                            <f:facet name="footer">
                                                <ui:include src="/util/datatableFooter.xhtml">
                                                    <ui:param name="dataScrollerId" value="dsDuplicated"/>
                                                    <ui:param name="dataTableId" value="duplicatedTable"/>
                                                </ui:include>
                                            </f:facet>
                                        </rich:dataTable>

                                    </div>
                                </s:div>
                            </s:div>

                            <ui:define name="panel_footer">
                                <s:div id="reportFooter">
                                    <a4j:commandButton styleClass="gzl-btn"
                                                       value="#{messages['net.ihe.gazelle.tm.Reset']}"
                                                       rendered="#{auditMessageManager.getUploadedFileContent() != null}"
                                                       actionListener="#{auditMessageManager.resetImport()}"
                                                       render="importDiv"
                                                       execute="@this"/>

                                    <a4j:commandButton value="#{messages['net.ihe.gazelle.tm.ImportAuditMessages']}"
                                                       rendered="#{auditMessageManager.getUploadedFileContent() != null and auditMessageManager.reviewBeforeSaving and not auditMessageManager.auditMessagesToImport.isImported()}"
                                                       styleClass="gzl-btn-blue"
                                                       action="#{auditMessageManager.persistImportedAuditMessages()}"
                                                       render="DocumentTable,importDiv"/>
                                </s:div>
                            </ui:define>
                        </ui:decorate>
                    </s:div>


                    <ui:define name="panel_footer">
                        <s:div id="footer">
                            <a4j:commandButton styleClass="gzl-btn"
                                               value="#{messages['net.ihe.gazelle.tm.Reset']}"
                                               rendered="#{(auditMessageManager.getUploadedFileContent() != null) and (auditMessageManager.auditMessagesToImport == null)}"
                                               actionListener="#{auditMessageManager.resetUpload()}"
                                               render="importDiv"
                                               execute="@this"/>

                            <a4j:commandButton value="#{messages['net.ihe.gazelle.tm.ImportAuditMessages']}"
                                               rendered="#{(auditMessageManager.getUploadedFileContent() != null) and (auditMessageManager.auditMessagesToImport == null)}"
                                               styleClass="gzl-btn-blue"
                                               action="#{auditMessageManager.importAuditMessagesFromXml()}"
                                               render="DocumentTable,importDiv"/>
                        </s:div>
                    </ui:define>
                </ui:decorate>
            </s:div>

        </h:form>
        <h:form id="deleteForm">
            <s:token allowMultiplePosts="true"/>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="DeleteConfirmationModalPanel"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.tm.PleaseConfirmDeleteOfTheAuditMessage']}</ui:define>
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.tm.Event_2']} #{auditMessageManager.currentAuditMessage.auditedEvent} "/>
                </p>
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.tm.Actor']}  #{auditMessageManager.currentAuditMessage.issuingActor.name}"/>
                </p>
                <p>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.tm.Transaction_2']} #{auditMessageManager.currentAuditMessage.auditedTransaction.name}"/>
                </p>
                <p>
                    <h:outputText value="#{messages['net.ihe.gazelle.tm.WillBeDeleted']}"/>
                </p>
                <ui:define name="popup_footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['gazelle.tm.Cancel']}
                    </button>
                    <a4j:commandButton id="deleteButtonConfirm" value="#{messages['gazelle.common.button.Delete']}"
                                       ignoreDupResponses="true" styleClass="gzl-btn-red"
                                       actionListener="#{auditMessageManager.delete()}"
                                       onclick="jq162('#DeleteConfirmationModalPanel').modal('hide');"
                                       render="globalform"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
